<?php

class selects extends MySQL
{
	var $code = "";
	
	function cargarfamilias()
	{
		$consulta = parent::consulta("SELECT dscfam,cdgfam FROM familias ORDER BY dscfam ASC");
		$num_total_registros = parent::num_rows($consulta);
		if($num_total_registros>0)
		{
			$familias = array();
			while($Familia = parent::fetch_assoc($consulta))
			{
				$code = $Familia["cdgfam"];
				$name = $Familia["dscfam"];				
				$familias[$code]=$name;
			}
			return $familias;
		}
		else
		{
			return false;
		}
	}
	
	
	function cargarlineas()
	{
		$consulta = parent::consulta("SELECT dsclin,cdglin FROM lineas WHERE cdgfam = '".$this->code."'");
		$num_total_registros = parent::num_rows($consulta);
		if($num_total_registros>0)
		{
			$lineas = array();
			while($Linea = parent::fetch_assoc($consulta))
			{
				$code = $Linea["cdglin"];
				$name = $Linea["dsclin"];				
				$lineas[$code]=$name;
			}
			return $lineas;
		}
		else
		{
			return false;
		}
	}
		
}

//function cargarhorarios()
//	{
//		$consulta = parent::consulta("SELECT * FROM horarios WHERE cdgfam  = '".$this->code."'");
//		$num_total_registros = parent::num_rows($consulta);
//		if($num_total_registros>0)
//		{
//			$horas = array();
//			while($hora = parent::fetch_assoc($consulta))
//			{
//				$code = $hora["horrut"];
//				$name = $hora["horrut"];				
//				$horas[$code]=$name;
//			}
//			return $horas;
//		}
//		else
//		{
//			return false;
//		}
//	}
//				
//	function cargarPrecios()
//	{
//		$consulta = parent::consulta("SELECT presubrut,cdglin FROM preciosrutas WHERE cdglin = '".$this->code."'");
//		$num_total_registros = parent::num_rows($consulta);
//		if($num_total_registros>0)
//		{
//			$Precios = array();
//			while($Precio = parent::fetch_assoc($consulta))
//			{
//				$name = $Precio["presubrut"];				
//				$Precios[$code]=$name;
//			}
//			return $Precios;
//		}
//		else
//		{
//			return false;
//		}
//	}		



/////////////



?>